# fortios_router_multicast6 – Configure IPv6 multicast in Fortinet’s FortiOS and FortiGate

New in version 2.8.

- Synopsis
- Requirements
- Parameters
- Notes
- Examples
- Return Values
- Status

## Synopsis

- This module is able to configure a FortiGate or FortiOS (FOS) device by allowing the user to set and modify router feature and multicast6 category. Examples include all parameters and values need to be adjusted to datasources before usage. Tested with FOS v6.0.5

## Requirements

The below requirements are needed on the host that executes this module.

- fortiosapi>=0.9.8

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
host string |  | FortiOS or FortiGate IP address.

https
boolean

Choices:
- no
- yes ←

Indicates if the requests towards FortiGate must use HTTPS protocol.

password string | Default: "" | FortiOS or FortiGate password.
router_multicast6 dictionary | Default: null | Configure IPv6 multicast.
| interface list |  | Protocol Independent Multicast (PIM) interfaces.
|  | hello_holdtime integer |  | Time before old neighbour information expires (1 - 65535 sec).
|  | hello_interval integer |  | Interval between sending PIM hello messages (1 - 65535 sec)..
|  | name string / required |  | Interface name. Source system.interface.name.

multicast_pmtu
string

Choices:
- enable
- disable

Enable/disable PMTU for IPv6 multicast.

multicast_routing
string

Choices:
- enable
- disable

Enable/disable IPv6 multicast routing.

| pim_sm_global dictionary |  | PIM sparse-mode global settings.
|  | register_rate_limit integer |  | Limit of packets/sec per source registered through this RP (0 means unlimited).
|  | rp_address list |  | Statically configured RP addresses.
|  |  | id integer / required |  | ID of the entry.
|  |  | ip6_address string |  | RP router IPv6 address.

ssl_verify
boolean
added in 2.9

Choices:
- no
- yes ←

Ensures FortiGate certificate must be verified by a proper CA.

username string |  | FortiOS or FortiGate username.
vdom string | Default: "root" | Virtual domain, among those defined previously. A vdom is a virtual instance of the FortiGate that can be configured and used as a different unit.

## Notes

Note

- Requires fortiosapi library developed by Fortinet
- Run as a local_action in your playbook

## Examples

    - hosts: localhost
      vars:
       host: "192.168.122.40"
       username: "admin"
       password: ""
       vdom: "root"
       ssl_verify: "False"
      tasks:
      - name: Configure IPv6 multicast.
        fortios_router_multicast6:
          host:  "{{ host }}"
          username: "{{ username }}"
          password: "{{ password }}"
          vdom:  "{{ vdom }}"
          https: "False"
          router_multicast6:
            interface:
             -
                hello_holdtime: "4"
                hello_interval: "5"
                name: "default_name_6 (source system.interface.name)"
            multicast_pmtu: "enable"
            multicast_routing: "enable"
            pim_sm_global:
                register_rate_limit: "10"
                rp_address:
                 -
                    id:  "12"
                    ip6_address: "<your_own_value>"

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
build string | always | Build number of the fortigate image Sample: 1547
http_method string | always | Last method used to provision the content into FortiGate Sample: PUT
http_status string | always | Last result given by FortiGate on last operation applied Sample: 200
mkey string | success | Master key (id) used in the last call to FortiGate Sample: id
name string | always | Name of the table used to fulfill the request Sample: urlfilter
path string | always | Path of the table used to fulfill the request Sample: webfilter
revision string | always | Internal revision number Sample: 17.0.2.10658
serial string | always | Serial number of the unit Sample: FGVMEVYYQT3AB5352
status string | always | Indication of the operation's result Sample: success
vdom string | always | Virtual domain used Sample: root
version string | always | Version of the FortiGate Sample: v5.6.3

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Miguel Angel Munoz (@mamunozgonzalez)
- Nicolas Thomas (@thomnico)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.